def genPassword(minpairs, maxpairs):
    """
    Generate pronounceable passwords, modified from: 
        http://www.zopelabs.com/cookbook/1059673251
    """
    import random

    vowels='aeiou'
    consonants='bcdfghjklmnpqrstvwxyz'
    password=''

    for x in range(1,random.randint(int(minpairs),int(maxpairs))+1):
         consonant = consonants[random.randint(1,len(consonants)-1)]
         password=password + consonant
         vowel = vowels[random.randint(1,len(vowels)-1)]
         password=password + vowel

    return password
